'pg', libpq, C programmers interfeysi PostgreSQL RDBMS'ye çıxış təmin edən Ruby üçün uzadının adıdır.
37
Cavablar

Pg gem qurmağa çalışırken libpq-fe.h başlığı tapıla bilmir

Ruby'ün Rails 3.1-də əvvəlki versiyasını istifadə edirəm. PostgreSQL-ni istifadə etmək istəyirəm, amma problem pg gem quraşdırır. Bu mənə aşağıdakı səhvləri verir: $ gem install pg Yerli uzantıları qurmaq. Bu bir müddət ala bilər ... ERROR: E ...
18 May 'da 9:11' də təyin olundu
15
Cavablar

PostgreSQL pg gem'i Ubuntu-da yükləmək üçün necə?

Ruby üçün PostgreSQL pg daşını qurmağa çalışıram. Aşağıdakı komandanı buraxdım: gem install pg RVM istifadə edərək Ruby 1.9.2 quraşdırdım. Yuxarıda göstərilən əmr mənə aşağıdakı səhvləri göstərir. Hata: Yerli uzantıları qurmaq. Bu ola bilər ...
25 İyun tarixində saat 9: 31-də təyin olundu
23
Cavablar

PG :: ConnectionBad - serverə bağlanıla bilmədi: əlaqə rədd edildi

Hər dəfə relslərin 4.0 serverini işə salıram, bu çıxışı alıram. 127.0.0.1 üçün "/" GET başladı 2013-11-06 23:56:36 -0500 PG :: ConnectionBad ...
07 noyabrda təyin olundu. '13 saat 8:06 'da
16
Cavablar

Rails 3 - pg daşını qura bilmir

Bundle (bundle install) çalıştırmaya çalıştığımda, her zaman pg (0.13.2) 'yi yerli eklentilerle kurma Gem :: Installer :: ExtensionBuildError: HATA: Gem doğma uzantısı oluşturulamadı. /Users/ryan/.rvm/rubies/ruby-1.9.2-p290 / ...
12 Mart 12: 17-də təyin olundu
16
Cavablar

gem quraşdırma pg --with-pg-config işləri, paket işləmir

Mən çalıştırdığımda (kök kimi) pem-v '0.12.0' - --with-pg-config = / usr / pgsql-9.1 / bin / pg_config yükləməyəm: # -> gem instal pg -v '0.12.0' - --with-pg-config = / usr / pgsql-9.1 / bin / pg_config Yerli uzantıları qurmaq. Bu ...
11 fevral təyin etdi '12 'də 0:20' də
8
Cavablar

Postgres.app istifadə edərək, Mavericks-də pg gem quraşdırıla bilmədi

Mən yerli maşınımdakı Postgres.app ilə istifadə üçün pg daşını qurmağa çalışıram. Mavericks'i çalıştırıyorum. Postgres.app yüklü və gözəl işləyir, amma işə çıxa bilməyəcəyəm. Aşağıdakıları etdim: istifadə olunan əmr env ARCHFLAGS = ...
26 noyabrda təyin olundu. '13 saat 20:55 'da
10
Cavablar

ActiveRecord :: StatementInvalid: PG InFailedSqlTransaction

ActiveRecord obyekti yaratmağa çalışıram. Mən onu yaratdıqda bu səhvəni alıram. (0.1ms) ROLLBACK ActiveRecord :: StatementInvalid: PG :: InFailedSqlTransaction: ERROR: cari əməliyyatlar silinir, əmrlər əməliyyat blo sonuna qədər məhəl qoymur ...
15 Yanvar müəyyən '14 'də saat 16.05' də
11
Cavablar

ERROR: Mavericks'də doğma gem uzantısını yaratmaq uğursuz oldu

OSX 10.9-da Rails layihəsində bir paketin çalışmasına çalışıram. Bu səhv ilə pg almaq üçün zərgərlik əldə olunmaz: Gem :: Installer :: ExtensionBuildError: ERROR: Gem native uzadılması qurulamadı. /Users/kyledecot/.rvm/rubies/ruby-2.0.0-p ...
24 oct. '13 saat 17:40 'də
10
Cavablar

Postgresql adapteri (pg): serverə bağlana bilmir

Rails proqramını hər dəfə açdığımda bu səhvimi alıram (bu mənim yerli Postgresqlə bağlana bilmir) /Users/leonardo/.rvm/gems/ruby-1.9.3-p362/gems/activerecord-3.2.11/lib/ active_record / connection_adapters / postgresql_adapter ....
09 yanvar tarixinə təyin olundu '13 'də 1:20' də
3
Cavablar

"Gem pq" ilə PostgreSQL kamera quraşdırılmır: Xəta: öz gem uzantısını yaratmaq mümkün deyil

Ruby'i Rails'ta öyrənirəm və bir proqram inkişaf etdirməyə çalışıram. Mənim ərizimdə standart SQLite verilənlər bazasını istehsal rejimində və PostgreSQL-də istehsal rejimində istifadə etməyə çalışıram. Amma pg daşını qurmağa çalışdığımda aşağıdakı səhvləri alıram: ...
18 Sentyabrda təyin olundu '13 saat 7:52 'də
10
Cavablar

rails install pg - libpq-fe.h başlığı tapılmadı

$ sudo paketinin quraşdırılması Nəticə https metadata https: //rubygems.org/ ........... 'dan alınır. https://rubygems.org/ saytından gem metadata alınır .. Rake istifadə (0.9.2.2) istifadə i18n (0.6.1) multi_json istifadə (1.3.6) Activesupport istifadə (3.2.8) b istifadə ...
26 oktyabr təyin etdi '12 saat 14:27 'da
13
Cavablar

gem install pg OSX Aslanında işləmir

Bu sualın varyasyonları SO ətrafında sıçrayışlar var, amma onların heç biri mənim problemi həll edən bir cavab kimi görünə bilər. OSX Aslanını idarə etdim (10.7.3). Son Xcode qurdu. Postgres'i Postgres.app paketini pos ...
27 apreldə təyin olundu '12 saat 7:42 'da
4
Cavablar

Ror tətbiqi üçün postgres konfiqurasiya etmək, səhv almaq - fe_sendauth: heç bir parol göstərilməyib

Alın: Bir səhv baş verdi: Hata: parol ilə təmin edilmiş parametrlər database.yml parametrləri digər maşınlarda tətbiq parametrlərinə uyğun gəlir. Necə çətin kodlu olmaq lazım deyil ki, şeyi dəyişə bilərəm ...
17 Sentyabrda təyin olundu. '12 'də 4:09' də
3
Cavablar

gem install pg libpq ilə ünsiyyət qura bilmir

Ubuntu 10.04.3-də Ruby 1.9.3 versiyasını (RVM sistemindən istifadə edərək 1.9.2 versiyasını) təkmilləşdirdikdən sonra bütün daşlarımı sildim və pg (ala bundle install pg) bərpa etməyə çalışdım. Sonra səhv etdi və mənə məlumat vermişdi ...
11 Yanvar təyin etdi '12 at 9:10
2
Cavablar

PG :: Error: ERROR: münasibətlər "istifadəçilər" yoxdur

Sizi narahat etmək üçün üzr istəyirik, amma bu səhv haqqında bir çox sualım var. əvvəlcə bu mənim user_controller rspec fayl tələb "spec / spec_helper" təsvir UserController bunu "yeni istifadəçi yaratmaq" yazmaq "yaratmaq" təyin [: users] .should_not be_new _...
İyulun 17-də saat 12: 00-da başlayacaq